'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.BankAuthorisationService = void 0;
class BankAuthorisationService {
    constructor(api) {
        this.api = api;
    }
    async create(requestParameters, idempotencyKey = '', customHeaders = {}) {
        var _a, _b;
        const urlParameters = [];
        const requestParams = {
            path: '/bank_authorisations',
            method: 'post',
            urlParameters,
            requestParameters,
            payloadKey: 'bank_authorisations',
            idempotencyKey,
            customHeaders,
            fetch: async (identity) => await this.find(identity),
        };
        const response = await this.api.request(requestParams);
        const formattedResponse = {
            ...((_b = (_a = response.body) === null || _a === void 0 ? void 0 : _a['bank_authorisations']) !== null && _b !== void 0 ? _b : response),
            __response__: response.__response__,
        };
        return formattedResponse;
    }
    async find(identity, customHeaders = {}) {
        const urlParameters = [{ key: 'identity', value: identity }];
        const requestParams = {
            path: '/bank_authorisations/:identity',
            method: 'get',
            urlParameters,
            payloadKey: null,
            fetch: null,
            customHeaders,
        };
        const response = await this.api.request(requestParams);
        const formattedResponse = {
            ...response.body['bank_authorisations'],
            __response__: response.__response__,
        };
        return formattedResponse;
    }
}
exports.BankAuthorisationService = BankAuthorisationService;
//# sourceMappingURL=bankAuthorisationService.js.map