'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.MandateImportEntryService = void 0;
class MandateImportEntryService {
    constructor(api) {
        this.api = api;
    }
    async create(requestParameters, idempotencyKey = '', customHeaders = {}) {
        var _a, _b;
        const urlParameters = [];
        const requestParams = {
            path: '/mandate_import_entries',
            method: 'post',
            urlParameters,
            requestParameters,
            payloadKey: 'mandate_import_entries',
            idempotencyKey,
            customHeaders,
            fetch: undefined,
        };
        const response = await this.api.request(requestParams);
        const formattedResponse = {
            ...((_b = (_a = response.body) === null || _a === void 0 ? void 0 : _a['mandate_import_entries']) !== null && _b !== void 0 ? _b : response),
            __response__: response.__response__,
        };
        return formattedResponse;
    }
    async list(requestParameters, customHeaders = {}) {
        const urlParameters = [];
        const requestParams = {
            path: '/mandate_import_entries',
            method: 'get',
            urlParameters,
            requestParameters,
            payloadKey: null,
            fetch: null,
            customHeaders,
        };
        const response = await this.api.request(requestParams);
        const formattedResponse = {
            ...response.body,
            __response__: response.__response__,
        };
        return formattedResponse;
    }
    async *all(requestParameters, customHeaders = {}) {
        let cursor = undefined;
        do {
            const list = await this.list({ ...requestParameters, after: cursor }, customHeaders);
            for (const mandateimportentry of list.mandate_import_entries) {
                yield mandateimportentry;
            }
            cursor = list.meta.cursors.after;
        } while (cursor);
    }
}
exports.MandateImportEntryService = MandateImportEntryService;
//# sourceMappingURL=mandateImportEntryService.js.map