'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedirectFlowService = void 0;
class RedirectFlowService {
    constructor(api) {
        this.api = api;
    }
    async create(requestParameters, idempotencyKey = '', customHeaders = {}) {
        var _a, _b;
        const urlParameters = [];
        const requestParams = {
            path: '/redirect_flows',
            method: 'post',
            urlParameters,
            requestParameters,
            payloadKey: 'redirect_flows',
            idempotencyKey,
            customHeaders,
            fetch: async (identity) => await this.find(identity),
        };
        const response = await this.api.request(requestParams);
        const formattedResponse = {
            ...((_b = (_a = response.body) === null || _a === void 0 ? void 0 : _a['redirect_flows']) !== null && _b !== void 0 ? _b : response),
            __response__: response.__response__,
        };
        return formattedResponse;
    }
    async find(identity, customHeaders = {}) {
        const urlParameters = [{ key: 'identity', value: identity }];
        const requestParams = {
            path: '/redirect_flows/:identity',
            method: 'get',
            urlParameters,
            payloadKey: null,
            fetch: null,
            customHeaders,
        };
        const response = await this.api.request(requestParams);
        const formattedResponse = {
            ...response.body['redirect_flows'],
            __response__: response.__response__,
        };
        return formattedResponse;
    }
    async complete(identity, requestParameters, customHeaders = {}) {
        const urlParameters = [{ key: 'identity', value: identity }];
        const requestParams = {
            path: '/redirect_flows/:identity/actions/complete',
            method: 'post',
            urlParameters,
            requestParameters,
            payloadKey: null,
            fetch: null,
            customHeaders,
        };
        const response = await this.api.request(requestParams);
        const formattedResponse = {
            ...response.body['redirect_flows'],
            __response__: response.__response__,
        };
        return formattedResponse;
    }
}
exports.RedirectFlowService = RedirectFlowService;
//# sourceMappingURL=redirectFlowService.js.map